#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Parse D-Bus introspection XML and process it in varous ways
Summary(pl.UTF-8):	Analiza opisów XML protokołu D-Bus i przetwarzanie na różne sposoby
Name:		python3-dbus-deviation
Version:	0.6.1
Release:	4
License:	LGPL v2.1+
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/dbus-deviation/
Source0:	https://files.pythonhosted.org/packages/source/d/dbus-deviation/dbus-deviation-%{version}.tar.gz
# Source0-md5:	649e1024a024242bfc38a5e1dfec69b4
Patch0:		dbus-deviation-tests.patch
URL:		https://pypi.org/project/dbus-deviation/
BuildRequires:	python3-Sphinx
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_git >= 0.3
%if %{with tests}
BuildRequires:	python3-lxml
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dbus-deviation is a project for parsing D-Bus introspection XML and
processing it in various ways. Its main tool is dbus-interface-diff,
which calculates the difference between two D-Bus APIs for the purpose
of checking for API breaks.

This functionality is also available as a Python module,
dbusdeviation.

%description -l pl.UTF-8
dbus-deviation to projekt do analizy opisów XML protokołu D-Bus i
przetwarzania ich na różne sposoby. Główne narzędzie to
dbus-interface-diff, wyliczające różnice między dwoma API D-Bus na
potrzeby sprawdzania zmian API.

Funkcjonalność jest dostępna także jako moduł Pythona dbusdeviation.

%package apidocs
Summary:	API documentation for Python dbus-deviation module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona dbus-deviation
Group:		Documentation

%description apidocs
API documentation for Python dbus-deviation module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona dbus-deviation.

%prep
%setup -q -n dbus-deviation-%{version}
%patch -P0 -p1

%build
%py3_build

%if %{with tests}
%{__python3} -m unittest discover -s dbusapi
%{__python3} -m unittest discover -s dbusdeviation
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
sphinx-build-3 -b html docs docs/build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/{dbusapi,dbusdeviation}/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/dbus-interface-diff
%attr(755,root,root) %{_bindir}/dbus-interface-vcs-helper
%{py3_sitescriptdir}/dbusapi
%{py3_sitescriptdir}/dbusdeviation
%{py3_sitescriptdir}/dbus_deviation-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Wed Apr 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dbus-deviation.git;a=log;h=master

* Wed Apr 02 2025 Jakub Bogusz <qboosh@pld-linux.org> ac7e1fe
- release 4

* Wed Apr 02 2025 Jakub Bogusz <qboosh@pld-linux.org> 6ca5f35
- fixed tests, improved docs

* Wed Apr 02 2025 Jakub Bogusz <qboosh@pld-linux.org> 3569b49
- fixed docs build

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 2e3585b
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 98e1512
- python 3.13 rebuild

* Wed Mar 30 2022 Jakub Bogusz <qboosh@pld-linux.org> c66743b
- python-dbus-deviation.spec updated to 0.6.1 for python 3

* Wed Mar 30 2022 Jakub Bogusz <qboosh@pld-linux.org> 4c62c8f
- added python2 comment

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b5ab290
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 377094f
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b317f34
- rebuild with python 3.10

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 224ac5f
- release 2 (by relup.sh)

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 0959a4c
- missing python3 BRs

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 6d342a7
- new

